## kvkbd-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kvkbd )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                     )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kvkbd-trinity 3.5.13.2

=== debian/changelog ===
kvkbd-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:22:35 +0200

kvkbd-trinity (0.4.8-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kvkbd-trinity (0.4.8-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

kvkbd-trinity (0.4.8-0ubuntu1) intrepid; urgency=low

  * Fix build failures with g++-4.3.

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 31 Dec 2008 14:42:00 -0600

kvkbd (0.4.8-0ubuntu2) hardy; urgency=low

  * Fix build failures with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 10:43:53 +0000

kvkbd (0.4.8-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Updated debian/control:
    - updated my email address
    - moved Homepage up according to specs
    - bumped version to 3.7.3

 -- Richard A. Johnson <nixternal@kubuntu.org>  Tue, 22 Jan 2008 11:33:36 -0600

kvkbd (0.4.7-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 25 Oct 2007 15:48:02 +0200

kvkbd (0.4.5-0ubuntu3) gutsy; urgency=low

  * Added kubuntu_01_kdepot.patch for strings extraction to Rosetta
  * Added kubuntu_02_nice_desktop_file.patch, adding GenericName for XDG
    directory

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 29 Aug 2007 10:07:09 +0200

kvkbd (0.4.5-0ubuntu2) gutsy; urgency=low

  * Add autoconf to build-dep 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 20 Aug 2007 10:57:04 -0500

kvkbd (0.4.5-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Remaining Ubuntu changes:
    - debian/rules: added 'make -f Makefile.cvs' to create configure
    - debian/control: added automake1.10 so you can run previous command

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 09 Aug 2007 12:06:24 -0500

kvkbd (0.4-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/rules: added 'make -f Makefile.cvs' to create configure
  * debian/control: added automake1.10 so you can run previous command

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 04 Aug 2007 12:03:32 -0500

kvkbd (0.3.1-0ubuntu1) gutsy; urgency=low

  * Initial release
  * Added COPYING.LIB to the .orig

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 02 Aug 2007 10:58:22 -0500

=== debian/control ===
Source: kvkbd-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 5), quilt, cdbs, libxtst-dev, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://pan4os.info/main/index.php

Package: kvkbd-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual keyboard for KDE [Trinity]
 Virtual keyboard for KDE for use with accessibility. Application contains
 a systray widget as well as a dockwidget.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

makebuilddir/kvkbd-trinity::
	make -f Makefile.cvs

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## kvkbd-trinity 14.0.4

=== debian/changelog ===
kvkbd-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:48:46 +0200

## kvkbd-trinity 14.0.5

=== debian/changelog ===
kvkbd-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:29:14 +0200

=== debian/control ===
Source: kvkbd-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, libxtst-dev, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://pan4os.info/main/index.php

Package: kvkbd-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kvkbd-kde3 (<< 4:14.0.0~), kvkbd-trinity (<< 4:14.0.0~)
Breaks: kvkbd-kde3 (<< 4:14.0.0~), kvkbd-trinity (<< 4:14.0.0~)
Description: Virtual keyboard for TDE [Trinity]
 Virtual keyboard for TDE for use with accessibility. Application contains
 a systray widget as well as a dockwidget.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

makebuilddir/kvkbd-trinity::
	make -f Makefile.cvs

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## kvkbd-trinity 14.0.6

=== debian/changelog ===
kvkbd-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, libxtst-dev, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, libxtst-dev, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://pan4os.info/main/index.php

## kvkbd-trinity 14.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kvkbd )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.8 )
 
 
 #### include essential cmake modules
@@ -41,15 +41,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support"                       OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                     )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all"           OFF )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_XTest_INCLUDE_PATH}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kvkbd (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        DragWidget.cpp
        MainWidget.cpp
        VButton.cpp
        main.cpp
        numpadvbutton.cpp
        resizabledragwidget.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${X11_XTest_LIB}
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES dock.png tray.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics
)

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== debian/changelog ===
kvkbd-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, libxtst-dev, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, libxtst-dev, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://pan4os.info/main/index.php

## kvkbd-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kvkbd )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -70,7 +70,7 @@
 
 add_subdirectory( src )
 tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,4 @@
     DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics
 )
 
-install(
-    FILES ${PROJECT_NAME}.desktop
-    DESTINATION ${XDG_APPS_INSTALL_DIR}
-)
+tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== debian/changelog ===
kvkbd-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:13:16 +0200

## kvkbd-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kvkbd )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
kvkbd-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kvkbd-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, libxtst-dev, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://pan4os.info/main/index.php

Package: kvkbd-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kvkbd-trinity (<< 4:14.0.0~)
Breaks: kvkbd-trinity (<< 4:14.0.0~)
Description: Virtual keyboard for TDE [Trinity]
 Virtual keyboard for TDE for use with accessibility. Application contains
 a systray widget as well as a dockwidget.

## kvkbd-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kvkbd )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kvkbd-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 09:39:16 +0200

## kvkbd-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kvkbd )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
kvkbd-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:47 +0100

## kvkbd-trinity 14.0.13

=== debian/changelog ===
kvkbd-trinity (4:14.0.13-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 12:12:01 +0200

=== debian/control ===
Source: kvkbd-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, libxtst-dev, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://pan4os.info/main/index.php

Package: kvkbd-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kvkbd-kde3 (<< 4:14.0.0~), kvkbd-trinity (<< 4:14.0.0~)
Breaks: kvkbd-kde3 (<< 4:14.0.0~), kvkbd-trinity (<< 4:14.0.0~)
Description: Virtual keyboard for TDE [Trinity]
 Virtual keyboard for TDE for use with accessibility. Application contains
 a systray widget as well as a dockwidget.

## kvkbd-trinity 14.1.0

=== debian/changelog ===
kvkbd-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kvkbd-trinity 14.1.1

=== debian/changelog ===
kvkbd-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Sep 2023 02:52:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, libxtst-dev, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libxtst-dev, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://pan4os.info/main/index.php

## kvkbd-trinity 14.1.2

=== debian/changelog ===
kvkbd-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:50 +0200

## kvkbd-trinity 14.1.3

=== debian/changelog ===
kvkbd-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 17 Oct 2024 23:10:36 +0200

## kvkbd-trinity 14.1.4

=== debian/changelog ===
kvkbd-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kvkbd-trinity 14.1.5~pre2

=== debian/changelog ===
kvkbd-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 17fcb3afe88f97c44ba36efbe43cc31362036e89
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kvkbd-trinity 14.1.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,12 +19,13 @@
 tde_add_executable( ${PROJECT_NAME} AUTOMOC
 
   SOURCES
-        DragWidget.cpp
-        MainWidget.cpp
-        VButton.cpp
-        main.cpp
-        numpadvbutton.cpp
-        resizabledragwidget.cpp
+     DragWidget.cpp
+     MainWidget.cpp
+     VButton.cpp
+     main.cpp
+     numpadvbutton.cpp
+     resizabledragwidget.cpp
+     Xutils.cpp
   LINK
      tdecore-shared
      tdeui-shared

=== debian/changelog ===
kvkbd-trinity (4:14.1.5-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libxtst-dev, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libxtst-dev, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://pan4os.info/main/index.php

## kvkbd-trinity 14.1.6~pre0

=== debian/changelog ===
kvkbd-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 17fcb3afe88f97c44ba36efbe43cc31362036e89
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kvkbd-trinity 14.1.6~pre1

=== debian/changelog ===
kvkbd-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e7a10fa951cf8fa721e9bd66921357c94c60062b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:05:49 +0100

## kvkbd-trinity 14.2.0~pre38

=== debian/changelog ===
kvkbd-trinity (4:14.2.0~pre38-0debian14.0.0+6~a) forky; urgency=low

  * Automated git build for 20c8d93b767795cea12784f3caac17250283010d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kvkbd-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kvkbd-kde3 (<< 4:14.0.0~), kvkbd-trinity (<< 4:14.0.0~)
-Breaks: kvkbd-kde3 (<< 4:14.0.0~), kvkbd-trinity (<< 4:14.0.0~)
+Replaces: kvkbd-trinity (<< 4:14.0.0~)
+Breaks: kvkbd-trinity (<< 4:14.0.0~)
 Description: Virtual keyboard for TDE [Trinity]
  Virtual keyboard for TDE for use with accessibility. Application contains
  a systray widget as well as a dockwidget.

## kvkbd-trinity 14.2.0~pre39

=== debian/changelog ===
kvkbd-trinity (4:14.2.0~pre39-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 5574301d34929b1cd994c221294277c1f714deaf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kvkbd

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:07:31 +0100
